# Address Maps ## List Address Maps `client.addressing.addressMaps.list(AddressMapListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/addressing/address_maps` List all address maps owned by the account. ### Parameters - `params: AddressMapListParams` - `account_id: string` Identifier of a Cloudflare account. ### Returns - `AddressMap` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `modified_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const addressMap of client.addressing.addressMaps.list({ account_id: '258def64c72dae45f3e4c8516e2111f2', })) { console.log(addressMap.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "055817b111884e0227e1be16a0be6ee0", "can_delete": true, "can_modify_ips": true, "created_at": "2014-01-01T05:20:00.12345Z", "default_sni": "*.example.com", "description": "My Ecommerce zones", "enabled": true, "modified_at": "2014-01-01T05:20:00.12345Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Address Map Details `client.addressing.addressMaps.get(stringaddressMapId, AddressMapGetParamsparams, RequestOptionsoptions?): AddressMapGetResponse` **get** `/accounts/{account_id}/addressing/address_maps/{address_map_id}` Show a particular address map owned by the account. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: AddressMapGetParams` - `account_id: string` Identifier of a Cloudflare account. ### Returns - `AddressMapGetResponse` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: IPsArray` The set of IPs on the Address Map. - `created_at?: string` - `ip?: string` An IPv4 or IPv6 address. - `memberships?: Array` Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `can_delete?: boolean` Controls whether the membership can be deleted via the API or not. - `created_at?: string` - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` - `modified_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const addressMap = await client.addressing.addressMaps.get('055817b111884e0227e1be16a0be6ee0', { account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(addressMap.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "055817b111884e0227e1be16a0be6ee0", "can_delete": true, "can_modify_ips": true, "created_at": "2014-01-01T05:20:00.12345Z", "default_sni": "*.example.com", "description": "My Ecommerce zones", "enabled": true, "ips": [ { "created_at": "2014-01-01T05:20:00.12345Z", "ip": "192.0.2.1" } ], "memberships": [ { "can_delete": true, "created_at": "2014-01-01T05:20:00.12345Z", "identifier": "023e105f4ecef8ad9ca31a8372d0c353", "kind": "zone" } ], "modified_at": "2014-01-01T05:20:00.12345Z" } } ``` ## Create Address Map `client.addressing.addressMaps.create(AddressMapCreateParamsparams, RequestOptionsoptions?): AddressMapCreateResponse` **post** `/accounts/{account_id}/addressing/address_maps` Create a new address map under the account. ### Parameters - `params: AddressMapCreateParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `description?: string | null` Body param: An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Body param: Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: Array` Body param - `memberships?: Array` Body param: Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` ### Returns - `AddressMapCreateResponse` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: IPsArray` The set of IPs on the Address Map. - `created_at?: string` - `ip?: string` An IPv4 or IPv6 address. - `memberships?: Array` Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `can_delete?: boolean` Controls whether the membership can be deleted via the API or not. - `created_at?: string` - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` - `modified_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const addressMap = await client.addressing.addressMaps.create({ account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(addressMap.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "055817b111884e0227e1be16a0be6ee0", "can_delete": true, "can_modify_ips": true, "created_at": "2014-01-01T05:20:00.12345Z", "default_sni": "*.example.com", "description": "My Ecommerce zones", "enabled": true, "ips": [ { "created_at": "2014-01-01T05:20:00.12345Z", "ip": "192.0.2.1" } ], "memberships": [ { "can_delete": true, "created_at": "2014-01-01T05:20:00.12345Z", "identifier": "023e105f4ecef8ad9ca31a8372d0c353", "kind": "zone" } ], "modified_at": "2014-01-01T05:20:00.12345Z" } } ``` ## Update Address Map `client.addressing.addressMaps.edit(stringaddressMapId, AddressMapEditParamsparams, RequestOptionsoptions?): AddressMap` **patch** `/accounts/{account_id}/addressing/address_maps/{address_map_id}` Modify properties of an address map owned by the account. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: AddressMapEditParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `default_sni?: string | null` Body param: If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` Body param: An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Body param: Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. ### Returns - `AddressMap` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `modified_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const addressMap = await client.addressing.addressMaps.edit('055817b111884e0227e1be16a0be6ee0', { account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(addressMap.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "055817b111884e0227e1be16a0be6ee0", "can_delete": true, "can_modify_ips": true, "created_at": "2014-01-01T05:20:00.12345Z", "default_sni": "*.example.com", "description": "My Ecommerce zones", "enabled": true, "modified_at": "2014-01-01T05:20:00.12345Z" } } ``` ## Delete Address Map `client.addressing.addressMaps.delete(stringaddressMapId, AddressMapDeleteParamsparams, RequestOptionsoptions?): AddressMapDeleteResponse` **delete** `/accounts/{account_id}/addressing/address_maps/{address_map_id}` Delete a particular address map owned by the account. An Address Map must be disabled before it can be deleted. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: AddressMapDeleteParams` - `account_id: string` Identifier of a Cloudflare account. ### Returns - `AddressMapDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const addressMap = await client.addressing.addressMaps.delete('055817b111884e0227e1be16a0be6ee0', { account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(addressMap.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Address Map - `AddressMap` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `modified_at?: string` ### Kind - `Kind = "zone" | "account"` The type of the membership. - `"zone"` - `"account"` ### Address Map Get Response - `AddressMapGetResponse` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: IPsArray` The set of IPs on the Address Map. - `created_at?: string` - `ip?: string` An IPv4 or IPv6 address. - `memberships?: Array` Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `can_delete?: boolean` Controls whether the membership can be deleted via the API or not. - `created_at?: string` - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` - `modified_at?: string` ### Address Map Create Response - `AddressMapCreateResponse` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: IPsArray` The set of IPs on the Address Map. - `created_at?: string` - `ip?: string` An IPv4 or IPv6 address. - `memberships?: Array` Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `can_delete?: boolean` Controls whether the membership can be deleted via the API or not. - `created_at?: string` - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` - `modified_at?: string` ### Address Map Delete Response - `AddressMapDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. # Accounts ## Add an account membership to an Address Map `client.addressing.addressMaps.accounts.update(stringaddressMapId, AccountUpdateParamsparams, RequestOptionsoptions?): AccountUpdateResponse` **put** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/accounts/{account_id}` Add an account as a member of a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: AccountUpdateParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `body: unknown` Body param ### Returns - `AccountUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const account = await client.addressing.addressMaps.accounts.update( '055817b111884e0227e1be16a0be6ee0', { account_id: '258def64c72dae45f3e4c8516e2111f2', body: {}, }, ); console.log(account.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Remove an account membership from an Address Map `client.addressing.addressMaps.accounts.delete(stringaddressMapId, AccountDeleteParamsparams, RequestOptionsoptions?): AccountDeleteResponse` **delete** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/accounts/{account_id}` Remove an account as a member of a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: AccountDeleteParams` - `account_id: string` Identifier of a Cloudflare account. ### Returns - `AccountDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const account = await client.addressing.addressMaps.accounts.delete( '055817b111884e0227e1be16a0be6ee0', { account_id: '258def64c72dae45f3e4c8516e2111f2' }, ); console.log(account.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Account Update Response - `AccountUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Account Delete Response - `AccountDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. # IPs ## Add an IP to an Address Map `client.addressing.addressMaps.ips.update(stringaddressMapId, stringipAddress, IPUpdateParamsparams, RequestOptionsoptions?): IPUpdateResponse` **put** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/ips/{ip_address}` Add an IP from a prefix owned by the account to a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `ipAddress: string` An IPv4 or IPv6 address. - `params: IPUpdateParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `body: unknown` Body param ### Returns - `IPUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const ip = await client.addressing.addressMaps.ips.update( '055817b111884e0227e1be16a0be6ee0', '192.0.2.1', { account_id: '258def64c72dae45f3e4c8516e2111f2', body: {}, }, ); console.log(ip.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Remove an IP from an Address Map `client.addressing.addressMaps.ips.delete(stringaddressMapId, stringipAddress, IPDeleteParamsparams, RequestOptionsoptions?): IPDeleteResponse` **delete** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/ips/{ip_address}` Remove an IP from a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `ipAddress: string` An IPv4 or IPv6 address. - `params: IPDeleteParams` - `account_id: string` Identifier of a Cloudflare account. ### Returns - `IPDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const ip = await client.addressing.addressMaps.ips.delete( '055817b111884e0227e1be16a0be6ee0', '192.0.2.1', { account_id: '258def64c72dae45f3e4c8516e2111f2' }, ); console.log(ip.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### IP Update Response - `IPUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### IP Delete Response - `IPDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. # Zones ## Add a zone membership to an Address Map `client.addressing.addressMaps.zones.update(stringaddressMapId, ZoneUpdateParamsparams, RequestOptionsoptions?): ZoneUpdateResponse` **put** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/zones/{zone_id}` Add a zone as a member of a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: ZoneUpdateParams` - `zone_id: string` Path param: Identifier of a zone. - `account_id: string` Path param: Identifier of a Cloudflare account. - `body: unknown` Body param ### Returns - `ZoneUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const zone = await client.addressing.addressMaps.zones.update('055817b111884e0227e1be16a0be6ee0', { zone_id: '8ac8489932db6327334c9b6d58544cfe', account_id: '258def64c72dae45f3e4c8516e2111f2', body: {}, }); console.log(zone.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Remove a zone membership from an Address Map `client.addressing.addressMaps.zones.delete(stringaddressMapId, ZoneDeleteParamsparams, RequestOptionsoptions?): ZoneDeleteResponse` **delete** `/accounts/{account_id}/addressing/address_maps/{address_map_id}/zones/{zone_id}` Remove a zone as a member of a particular address map. ### Parameters - `addressMapId: string` Identifier of an Address Map. - `params: ZoneDeleteParams` - `zone_id: string` Identifier of a zone. - `account_id: string` Identifier of a Cloudflare account. ### Returns - `ZoneDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const zone = await client.addressing.addressMaps.zones.delete('055817b111884e0227e1be16a0be6ee0', { zone_id: '8ac8489932db6327334c9b6d58544cfe', account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(zone.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Zone Update Response - `ZoneUpdateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Zone Delete Response - `ZoneDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set.